com.example.anna.phototag

## Class NavDrawerListAdapter

- java.lang.Object
- - android.widget.BaseAdapter
  - - com.example.anna.phototag.NavDrawerListAdapter

- All Implemented Interfaces:
    android.widget.Adapter, android.widget.ListAdapter, android.widget.SpinnerAdapter, java.io.Serializable

      public class NavDrawerListAdapter
      extends android.widget.BaseAdapter
      implements java.io.Serializable

  Fragment used for managing interactions for and presentation of a navigation drawer. See the design guidelines for a complete explanation of the behaviors implemented here.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from interface android.widget.Adapter

      `IGNORE_ITEM_VIEW_TYPE, NO_SELECTION`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NavDrawerListAdapter(android.content.Context context, java.util.ArrayList<NavDrawerXinxetes> navDrawerIcons)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getCount()` How many items are in the data set represented by this Adapter.
    `java.lang.Object` | `getItem(int position)` Get the data item associated with the specified position in the data set.
    `long` | `getItemId(int position)` Get the row id associated with the specified position in the list.
    `android.view.View` | `getView(int position, android.view.View convertView, android.view.ViewGroup parent)` Get a View that displays the data at the specified position in the data set.

    - ### Methods inherited from class android.widget.BaseAdapter

      `areAllItemsEnabled, getDropDownView, getItemViewType, getViewTypeCount, hasStableIds, isEmpty, isEnabled, notifyDataSetChanged, notifyDataSetInvalidated, registerDataSetObserver, unregisterDataSetObserver`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NavDrawerListAdapter

          public NavDrawerListAdapter(android.content.Context context,
                              java.util.ArrayList<NavDrawerXinxetes> navDrawerIcons)

  - ### Method Detail

    - #### getCount

          public int getCount()

      Description copied from interface: `android.widget.Adapter`
      How many items are in the data set represented by this Adapter.
      Specified by:
        `getCount` in interface `android.widget.Adapter`
      Returns:
        Count of items.

    - #### getItem

          public java.lang.Object getItem(int position)

      Description copied from interface: `android.widget.Adapter`
      Get the data item associated with the specified position in the data set.
      Specified by:
        `getItem` in interface `android.widget.Adapter`
      Parameters:
        `position` - Position of the item whose data we want within the adapter's data set.
      Returns:
        The data at the specified position.

    - #### getItemId

          public long getItemId(int position)

      Description copied from interface: `android.widget.Adapter`
      Get the row id associated with the specified position in the list.
      Specified by:
        `getItemId` in interface `android.widget.Adapter`
      Parameters:
        `position` - The position of the item within the adapter's data set whose row id we want.
      Returns:
        The id of the item at the specified position.

    - #### getView

          public android.view.View getView(int position,
                                  android.view.View convertView,
                                  android.view.ViewGroup parent)

      Description copied from interface: `android.widget.Adapter`
      Get a View that displays the data at the specified position in the data set. You can either create a View manually or inflate it from an XML layout file. When the View is inflated, the parent View (GridView, ListView...) will apply default layout parameters unless you use `LayoutInflater.inflate(int, android.view.ViewGroup, boolean)` to specify a root view and to prevent attachment to the root.
      Specified by:
        `getView` in interface `android.widget.Adapter`
      Parameters:
        `position` - The position of the item within the adapter's data set of the item whose view we want.
        `convertView` - The old view to reuse, if possible. Note: You should check that this view is non-null and of an appropriate type before using. If it is not possible to convert this view to display the correct data, this method can create a new view. Heterogeneous lists can specify their number of view types, so that this View is always of the right type (see `Adapter.getViewTypeCount()` and `Adapter.getItemViewType(int)`).
        `parent` - The parent that this view will eventually be attached to
      Returns:
        A View corresponding to the data at the specified position.